use axum::{
    routing::{get, patch},
    Router,
};
use std::sync::Arc;

use crate::data::AppState;

pub fn get_routes() -> Router<Arc<AppState>> {
    Router::new()
        .route("/", get(|| async { "admin dashboard" }))
        .route("/:name", patch(|| async { "" }).delete(|| async { "" }))
}
